For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate organization
            • GETGet organization
            • GETGet basic details by name
            • GETGet basic details by ID
            • GETGet organization settings
            • PUTUpdate organization
            • DELDelete organization
            • GETList suborganizations by organization
            • GETExport organizations by paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesOrganizations

Get organization settings

|View as Markdown|Open in Claude|
GET
/Organization/settings/:orgId
GET
/api/Organization/settings/:orgId
$curl https://api-sandbox.payabli.com/api/Organization/settings/123 \
> -H "requestToken: <apiKey>"
1{
2 "customFields": [
3 {
4 "key": "key",
5 "readOnly": false,
6 "value": "value"
7 }
8 ],
9 "forInvoices": [
10 {
11 "key": "key",
12 "readOnly": false,
13 "value": "value"
14 }
15 ],
16 "forPayOuts": [
17 {
18 "key": "key",
19 "readOnly": false,
20 "value": "value"
21 }
22 ],
23 "forWallets": [
24 {
25 "key": "isGooglePayEnabled",
26 "readOnly": false,
27 "value": "true"
28 }
29 ],
30 "general": [
31 {
32 "key": "key",
33 "readOnly": false,
34 "value": "value"
35 }
36 ],
37 "identifiers": [
38 {
39 "key": "key",
40 "readOnly": false,
41 "value": "value"
42 }
43 ]
44}
Retrieves an organization's settings.
Was this page helpful?
Previous

Get basic details by ID

Next

Update organization

Authentication

requestTokenstring
API Key authentication via header

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Response

Success
customFieldslist of objects
Any custom fields defined for the org.
forInvoiceslist of objects
forPayOutslist of objects
forWalletslist of objects

Information about digital wallet settings for the entity. Available values are isApplePayEnabled and isGooglePayEnabled.

generallist of objects
identifierslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error